{% extends './BackView.twig' %}

{% block title %}{{ trans('back.app.dashboard_sales') }}{% endblock %}

{% block panel %}

    <li class="sidebar-item">
        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
            <i data-feather="layout" class="feather-icon"></i>
            <span class="hide-menu">Dashboard</span>
        </a>
        <ul aria-expanded="false" class="collapse  first-level">
            <li class="sidebar-item">
                <a href="{{ path_for('back.sales') }}" class="sidebar-link">
                    <i class="mdi mdi-adjust"></i>
                    <span class="hide-menu"> Sales <span class="badge badge-pill badge-success">5</span></span>
                </a>
            </li>
            <li class="sidebar-item">
                <a href="{{ path_for('back.analytics') }}" class="sidebar-link">
                    <i class="mdi mdi-adjust"></i>
                    <span class="hide-menu"> Analytics </span>
                </a>
            </li>
        </ul>
    </li>

    <!-- panel-item : USER -->
    {{ include('/back/_partials/side-panels/panel-user.twig') }}

{% endblock %}

{% block content %}

    <!-- Bread crumb and right sidebar toggle -->
    <div class="page-breadcrumb">
        <div class="row">
            <div class="col-md-6 align-self-center">
                <div class="app-page-title">
                    <div class="page-title-wrapper">
                        <div class="page-title-heading">
                            <div class="page-title-icon">
                                <i class="pe-7s-graph3 icon-gradient bg-mean-fruit">
                                </i>
                            </div>
                            <div>Sales Dashboard
                                <div class="page-title-subheading">
                                    This is an example dashboard created using build-in elements and components.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 align-self-center d-none d-md-block">
                <button class="btn float-right btn-success"><i class="mdi mdi-plus-circle"></i> Create</button>
                <div class="dropdown float-right mr-2 hidden-sm-down">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> January 2020 </button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton"> <a class="dropdown-item" href="#">February 2020</a> <a class="dropdown-item" href="#">March 2020</a> <a class="dropdown-item" href="#">April 2020</a> </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Container fluid  -->
    <div class="container-fluid">

        <!-- Vue components -->
        <div id="app"></div>

    </div>

{%  endblock %}

{% block scripts %}

    <!-- page script -->
    <script>


        $(document).ready(function() {
            var sparklineLogin = function() {
                $("#sparkline1").sparkline([5,6,2,8,9,4,7,10,11,12,10], {
                    type: 'bar',
                    height: '45',
                    barWidth: 7,
                    barSpacing: 4,
                    barColor: '#39c449'

                });

                $('#sparkline2').sparkline([20, 40, 30], {
                    type: 'pie',
                    width: '50',
                    height: '45',
                    resize: true,
                    sliceColors: ['#13dafe', '#009efb', '#f1f2f7']
                });


                $('#sparkline3').sparkline([5, 6, 2, 9, 4, 7, 10, 12], {
                    type: 'bar',
                    height: '164',
                    barWidth: '7',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#f62d51'
                });


                $("#sparkline4").sparkline([0, 23, 43, 35, 44, 45, 56, 37, 40, 45, 56, 7, 10], {
                    type: 'line',
                    width: '120',
                    height: '45',
                    lineColor: '#fb6d9d',
                    fillColor: 'transparent',
                    spotColor: '#fb6d9d',
                    minSpotColor: undefined,
                    maxSpotColor: undefined,
                    highlightSpotColor: undefined,
                    highlightLineColor: undefined
                });

                $('#sparkline5').sparkline([15, 23, 55, 35, 54, 45, 66, 47, 30], {
                    type: 'line',
                    width: '100%',
                    height: '160',
                    chartRangeMax: 50,
                    resize: true,
                    lineColor: '#13dafe',
                    fillColor: 'rgba(19, 218, 254, 0.3)',
                    highlightLineColor: 'rgba(0,0,0,.1)',
                    highlightSpotColor: 'rgba(0,0,0,.2)',
                });

                $('#sparkline5').sparkline([0, 13, 10, 14, 15, 10, 18, 20, 0], {
                    type: 'line',
                    width: '100%',
                    height: '160',
                    chartRangeMax: 40,
                    lineColor: '#009efb',
                    fillColor: 'rgba(97, 100, 193, 0.3)',
                    composite: true,
                    resize: true,
                    highlightLineColor: 'rgba(0,0,0,.1)',
                    highlightSpotColor: 'rgba(0,0,0,.2)',
                });
                $('#sparkline6').sparkline([5, 6, 2, 8, 9, 4, 7, 10, 11, 12, 10], {
                    type: 'bar',
                    height: '45',
                    barWidth: '7',
                    barSpacing: '4',
                    barColor: '#13dafe'
                });
                $("#sparkline7").sparkline([0,2,8,6,8,5,6,4,8,6,4,2 ], {
                    type: 'line',
                    width: '100%',
                    height: '50',
                    lineColor: '#ffca4a',
                    fillColor: '#ffca4a',
                    highlightLineColor: 'rgba(0, 0, 0, 0.2)',
                    highlightSpotColor: '#4f4f4f'
                });
                $("#sparkline8").sparkline([2,4,4,6,8,5,6,4,8,6,6,2 ], {
                    type: 'line',
                    width: '100%',
                    height: '50',
                    lineColor: '#39c449',
                    fillColor: '#39c449',
                    maxSpotColor: '#39c449',
                    highlightLineColor: 'rgba(0, 0, 0, 0.2)',
                    highlightSpotColor: '#39c449'
                });
                $("#sparkline9").sparkline([0,2,8,6,8,5,6,4,8,6,6,2 ], {
                    type: 'line',
                    width: '100%',
                    height: '50',
                    lineColor: '#13dafe',
                    fillColor: '#13dafe',
                    minSpotColor:'#13dafe',
                    maxSpotColor: '#13dafe',
                    highlightLineColor: 'rgba(0, 0, 0, 0.2)',
                    highlightSpotColor: '#13dafe'
                });
                $("#sparkline10").sparkline([2,4,4,6,8,5,6,4,8,6,6,2], {
                    type: 'line',
                    width: '100%',
                    height: '50',
                    lineColor: '#009efb',
                    fillColor: '#009efb',
                    maxSpotColor: '#009efb',
                    highlightLineColor: 'rgba(0, 0, 0, 0.2)',
                    highlightSpotColor: '#009efb'
                });
                $('#sparkline11').sparkline([20, 40, 30], {
                    type: 'pie',
                    height: '200',
                    resize: true,
                    sliceColors: ['#13dafe', '#009efb', '#f1f2f7']
                });

                $("#sparkline12").sparkline([5,6,2,8,9,4,7,10,11,12,10,4,7,10], {
                    type: 'bar',
                    height: '200',
                    barWidth: 10,
                    barSpacing: 7,
                    barColor: '#39c449'
                });

                $('#sparkline13').sparkline([5, 6, 2, 9, 4, 7, 10, 12,4,7,10], {
                    type: 'bar',
                    height: '200',
                    barWidth: '10',
                    resize: true,
                    barSpacing: '7',
                    barColor: '#f62d51'
                });
                $('#sparkline13').sparkline([5, 6, 2, 9, 4, 7, 10, 12,4,7,10], {
                    type: 'line',
                    height: '200',
                    lineColor: '#f62d51',
                    fillColor: 'transparent',
                    composite: true,
                    highlightLineColor: 'rgba(0,0,0,.1)',
                    highlightSpotColor: 'rgba(0,0,0,.2)'
                });
                $("#sparkline14").sparkline([0, 23, 43, 35, 44, 45, 56, 37, 40, 45, 56, 7, 10], {
                    type: 'line',
                    width: '100%',
                    height: '200',
                    lineColor: '#fff',
                    fillColor: 'transparent',
                    spotColor: '#fff',
                    minSpotColor: undefined,
                    maxSpotColor: undefined,
                    highlightSpotColor: undefined,
                    highlightLineColor: undefined
                });
                $('#sparkline15').sparkline([5, 6, 2, 8, 9, 4, 7, 10, 11, 12, 10, 9, 4, 7], {
                    type: 'bar',
                    height: '200',
                    barWidth: '10',
                    barSpacing: '10',
                    barColor: '#13dafe'
                });
                $('#sparkline16').sparkline([15, 23, 55, 35, 54, 45, 66, 47, 30], {
                    type: 'line',
                    width: '100%',
                    height: '200',
                    chartRangeMax: 50,
                    resize: true,
                    lineColor: '#13dafe',
                    fillColor: 'rgba(19, 218, 254, 0.3)',
                    highlightLineColor: 'rgba(0,0,0,.1)',
                    highlightSpotColor: 'rgba(0,0,0,.2)',
                });

                $('#sparkline16').sparkline([0, 13, 10, 14, 15, 10, 18, 20, 0], {
                    type: 'line',
                    width: '100%',
                    height: '200',
                    chartRangeMax: 40,
                    lineColor: '#009efb',
                    fillColor: 'rgba(97, 100, 193, 0.3)',
                    composite: true,
                    resize: true,
                    highlightLineColor: 'rgba(0,0,0,.1)',
                    highlightSpotColor: 'rgba(0,0,0,.2)',
                });

                $('#sparklinedash').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#39c449'
                });
                $('#sparklinedash2').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#7460ee'
                });
                $('#sparklinedash3').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#009efb'
                });
                $('#sparklinedash4').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#f62d51'
                });


            }
            var sparkResize;

            $(window).resize(function(e) {
                clearTimeout(sparkResize);
                sparkResize = setTimeout(sparklineLogin, 500);
            });
            sparklineLogin();

        });

    </script>

{% endblock %}